Tato stránka používá „cookies“. Soubory cookie nám pomáhají poskytovat, chránit a zlepšovat naše služby. Více informací zde. Přijmout cookies
Tato stránka používá „cookies“. Soubory cookie nám pomáhají poskytovat, chránit a zlepšovat naše služby. Více informací zde. Přijmout cookies

Diskuze ke článku 'CMS Made Simple' - fórum

CMS Made Simple je redakční systém, který se zaměřuje na snadnost používání. Integruje FCKeditor, automaticky generuje menu, umožňuje nastavit práva jednotlivým uživatelům i skupinám, podporuje doplňkové moduly, tagy a umožňuje také upravit si vzhled editací šablon. A především podporuje hned po instalaci poměrně dobře češtinu!

přidatNový příspěvek

Chcete-li odebírat toto téma e-mailem, přihlašte se nebo se nejprve zaregistrujte.

Upgrade z verzí 1.x na verze 2.x

Martin Nossberger, 03.08.2016 09:29:58

Řešil jsem problém s upgradem z verze 1.x na verzi 2.x, který jsem v součinnosti s podporou wedosu vyřešil následovně:

1. Nejprve je třeba mít nainstalovanou základní verzi CMS Made Simple 1.12.2.

2. Poté si stáhněte upgrade na verzi 2.x, v době psaní tohoto komentáře se jedná o verzi 2.1.4, stahoval jsem tedy balík cmsms-2.1.4-install.expanded.zip

3. Balík rozbalte na svém počítači a v textovém editoru otevřete soubor class.cms_install.php, který se nachází ve složce /app

4. V souboru class.cms_install.php zakomentujte řádek 52:
a) Z původního: putenv("TMPDIR=$path");
b) Změnte na: // putenv("TMPDIR=$path");
c) uložte soubor

5. Rozbalený balík s upgradem a upraveným souborem nahrajte na FTP do nově vytvořené složky /upgrade
6. Poté zadejte v prohlížeči adresu www.vasestranka.cz/upgrade a můžete projít postup upgrade

6. Na první stránce upgradu POZOR - v části "Destination Directory:" vyberte adresář instalace verze 1.x - pokud jste nic neměnili a vše nahrávali do adresáře www, jedná se o cestu: /data/web/virtuals/XXXcislovasehohostinguXXX/virtual/www/upgrade

Re: Upgrade z verzí 1.x na verze 2.x

Vladimír Kašpar, 04.09.2016 20:35:43

Dobrý den, mám dotaz, udělal jsem čistou instalaci 1.12.2 a aktualizoval jak zde popisujete (na verzi 2.1.5), ale začaly mi do stránky padat varování strictu (PHP 5.6). Vypnul jsem ho v administraci, ale mám problém s aktualizací a instalací modulů přímo z CMS (CGExtensions ... v podstatě většina CG, pak jsem se ještě pokoušel o TinyMCE a FAQ a vš mi hází problém s přiojením nebo vadný XML soubor. Pokud nahraju modul přímo do adresáře pak většinou instalace vůbec nedoběhne nebo mi přestane pracovat ContentManager (ajax skončí 500 Server error). Neměl jste někdo podobné problémy a jak jste je řešili?
Díky

Re: Upgrade z verzí 1.x na verze 2.x

Josef Grill, WEDOS, 04.09.2016 21:10:19

Dobrý den,
zkuste to nyní. Hledali jsme a našli jsme, že nějaké věci blokuje naše IDS/IPS ochrana.

Re: Upgrade z verzí 1.x na verze 2.x

Vladimír Kašpar, 06.09.2016 13:07:16

Dobrý den, instalace z CMS přes SOAP se chová stále stejně.
Stále to píše problém při stahování XML souboru :-(

Re: Upgrade z verzí 1.x na verze 2.x

Vladimír Kašpar, 06.09.2016 13:09:51

Ještě doplním, některá rozšíření hlásí problém při komunikaci s aktualizačním serverem

Přihlášení zákazníka

Nemáte ještě zákaznický účet? Registrace

Copyright © WEDOS, 2018

Facebook RSS